unit UTestDossier;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, ExtCtrls;

type

  { TListeEnvirons }

  TListeEnvirons = class (TForm )
    GetAppConfigDir : TLabeledEdit;
    GetAppConfigFile : TLabeledEdit;
    SysConfigDir : TLabeledEdit;
    GetUserDir : TLabeledEdit;
    GetTempFileName : TLabeledEdit;
    GetTempDir : TLabeledEdit;
    GetEnvironmentVariable : TLabeledEdit;
    GetEnvironmentVariableCount : TLabeledEdit;
    procedure FormCreate (Sender : TObject );
  private

  public

  end;

var
  ListeEnvirons : TListeEnvirons;

implementation

{ TListeEnvirons }

procedure TListeEnvirons.FormCreate (Sender : TObject );
Var
  EnvVar   : String;
  EnvInt   : Integer;
  Ni       : Integer;
begin
  EnvVar := sysutils.GetAppConfigDir(false) + ' -- ' + sysutils.GetAppConfigDir(True);
  GetAppConfigDir.Caption := EnvVar;
  EnvVar := sysutils.GetAppConfigFile(false) + ' -- ' + sysutils.GetAppConfigFile(True);
  GetAppConfigFile.Caption := EnvVar;
  EnvVar := sysutils.SysConfigDir;
  SysConfigDir.Caption := EnvVar;
  EnvVar := sysutils.GetUserDir;
  GetUserDir.Caption := EnvVar;
  EnvVar := sysutils.GetTempFileName;
  GetTempFileName.Caption := EnvVar;
  EnvVar := sysutils.GetTempDir;
  GetTempDir.Caption := EnvVar;
  EnvInt := sysutils.GetEnvironmentVariableCount;
  GetEnvironmentVariableCount.Caption := IntToStr(EnvInt);
  EnvVar := '';
  for Ni := 0 to EnvInt do
    if EnvVar = '' then
      EnvVar := sysutils.GetEnvironmentString(Ni)
    else
      EnvVar := sysutils.GetEnvironmentString(Ni) + ' -- ' + EnvVar;
  GetEnvironmentVariable.Caption := EnvVar;
end;

initialization
  {$I UTestDossier.lrs}

end.

